KWIN_FILL_RECTANGLE(3)

FUNCTION
kwin_fill_rectangle - Draw a single filled rectangle onto a pixel canvas.

SYNOPSIS
#include <karma_kwin.h>

flag kwin_fill_rectangle

(KPixCanvas canvas, double x, double y, double width, double height, unsigned long pixel_value)

DESCRIPTION
Draw a single filled rectangle onto a pixel canvas.

canvas
    The canvas.

x   The horizontal offset of the rectangle.

y   The vertical offset of the rectangle.

width
    The width of the rectangle. The point <<x + width>> is a vertex.

height
    The height of the rectangle. The point <<y + height>> is a vertex.

pixel_value
    The pixel value to use.

RETURN VALUE
TRUE on success, else FALSE.

Multi-threading Level
Unsafe.

AUTHOR
Richard Gooch (rgooch@atnf.csiro.au)

AVAILABLITY
The Karma Distribution is available for anonymous ftp from: ftp://ftp.atnf.csiro.au/pub/software/karma/ ftp://wuarchive.wustl.edu/graphics/graphics/packages/karma/ ftp://ftp.pwr.wroc.pl/pub/karma/ The Karma Home Page is: http://www.atnf.csiro.au/karma/